### Name: node ordering tools
### Title: Partial node ordering utilities
### Aliases: node.ordering ordering2blacklist
### Keywords: utilities multivariate

### ** Examples

data(learning.test)
res = gs(learning.test, optimized = TRUE)
res$learning$ntests
# [1] 41
res = set.arc(res, "A", "B")
ord = node.ordering(res)
ord
# [1] "A" "C" "F" "B" "D" "E"

## partial node ordering saves us two tests in the v-structure
## detection step of the algorithm.
gs(learning.test, blacklist = ordering2blacklist(ord))$learning$ntests
# [1] 39



