### Name: lizards
### Title: Lizards' perching behaviour data set
### Aliases: lizards
### Keywords: datasets

### ** Examples


## The graphical model for this data set is:
#       Height - Species - Diameter

data(lizards)
table(lizards[, c(3,2,1)])
# , , Species = Sagrei
#
#       Diameter
# Height narrow wide
#   high     86   35
#   low      32   11
#
# , , Species = Distichus
#
#       Diameter
# Height narrow wide
#   high     73   70
#   low      61   41

## Not run: 
##D # This data set is useful as it offers nominal values for
##D # the conditional mutual information and X^2 tests.
##D 
##D attach(lizards)
##D ci.test(Height, Diameter, Species, test = "mi")
##D #
##D #       mutual information (discrete)
##D #
##D # data:  Height ~ Diameter | Species
##D # mi = 2.0256, df = 2, p-value = 0.3632
##D # alternative hypothesis: true value is greater than 0
##D ci.test(Height, Diameter, Species, test = "x2")
##D #
##D #       Pearson's X^2
##D #
##D # data:  Height ~ Diameter | Species
##D # x2 = 2.0174, df = 2, p-value = 0.3647
##D # alternative hypothesis: true value is greater than 0
## End(Not run)




